/usr/bin/ld: skipping incompatible解决方案

今天在做项目的时候,用make命令后出现了/usr/bin/ld: skipping incompatible......问题。

这个问题实质是链接库文件时,库文件版本与平台版本不对应的问题。

解决方法:objdump -p libmylib.a  看一下该库的版本是32为还是64位的,或是ARM版还是..等等。仔细分析一下。你就会恍然大雾。(我的碰到的问题是:编译器选择的是64版,但是xxx.a是32版,当然不兼容)
结论:碰到问题其实是有百利而无一害的,通过解决问题我们才能提升自己!

相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页